--[[
Weapon/Item ID list

  INSTRUCTIONS

This file contains useful variables for many IDs used in CS2D. So you just
have to know the variables conventions instead of looking up every weapon
ID.
To include this file, you have to add this line of code into your files where
you need the variables:

dofile("sys/lua/wpnids.lua")

Remember: Lua is case-sensitive!

Item / weapon IDs
 have the same name like ingame, but with all spaces, "-" and "+" removed
  Example: variable name "TacticalShield" for the Tactical Shield

Building IDs
 have the same name like ingame, but without spaces. There are some exceptions:
 Building name		Name of variable
 Mine			PlantedMine
 Laser Mine		PlantedLaserMine
  
Armor values for armor items like Light Armor
 start with an "a_" followed by the ingame name with all spaces removed
   Example: "a_LightArmor" for Light Armor
   
  
   

CS2D Lua scripting return values
  are written ALL CAPS. Most of them just tell to behave normally or ignore the hook
  "behave normally" returns have the same name like the hook function
  example: return the "BUY" variable  for proceed normally on the buy hook

  "ignore": like "behave normally", with a "NO" before
  example: return the "NOBUY" variable for ignoring the buy on buy hook
  
  END OF INSTRUCTIONS
]]
  
-- Item / weapon IDs
----- have the same name like ingame, but with all spaces, "-" and "+" removed
----- Example: Write TacticalShield for the Tactical Shield

USP     		= 1
Glock   		= 2
Deagle			= 3
P228			= 4
Elite			= 5
FiveSeven		= 6

M3				= 10
XM1014			= 11

MP5				= 20
TMP				= 21
P90				= 22
Mac10			= 23
UMP45			= 24

Galil			= 38
Famas			= 39
FNF2000			= 91
AK47			= 30
M4A1			= 32
SG552			= 31
Aug				= 33
Scout			= 34
AWP				= 35
G3SG1			= 36
SG550			= 37

M249			= 40
M134			= 90

PrimaryAmmo		= 61
SecondaryAmmo	= 62

HE				= 51
Flashbang		= 52
SmokeGrenade	= 53
Flare			= 54
DefuseKit		= 56
Kevlar			= 57
KevlarHelm		= 58
NightVision		= 59
TacticalShield	= 41

Bomb			= 55
PlantedBomb		= 63

Knife 			= 50
Machete			= 69
Wrench			= 74
Claw			= 78
Chainsaw		= 85

GasGrenade		= 72
MolotovCocktail	= 73
Snowball		= 75
AirStrike		= 76
GutBomb			= 86

Mine			= 77
LaserMine		= 87
SatchelCharge	= 89

Laser			= 45

Flamethrower	= 46

RPGLauncher		= 47
RocketLauncher	= 48
GrenadeLauncher	= 49

PortalGun		= 88

LightArmor	= 79
Armor		= 80
HeavyArmor	= 81
SuperArmor	= 83
MedicArmor	= 82

StealthSuit	= 84

Medikit		= 64
Bandage		= 65

Coins		= 66
Money		= 67
Gold		= 68

RedFlag		= 70
BlueFlag	= 71

-- Building names
-- same naming conventions as above, exceptions are "Mine" (PlantedMine) and "Laser Mine" (PlantedLaserMine)

Barricade 	= 1
BarbedWire	= 2
WallI		= 3
WallII		= 4
WallIII		= 5
GateField	= 6
Dispenser	= 7
Turret		= 8
DualTurret	= 11
TripleTurret	= 12
Supply		= 9
SuperSupply		= 15
TeleporterEntrance	= 13
TeleporterExit	= 14

ConstructionSite = 10

PlantedMine	= 20
PlantedLaserMine	= 21

OrangePortal	= 22
BluePortal	= 23



-- Armor values for armor items like Light Armor
----- start with an "a_" followed by the ingame name with all spaces removed
a_LightArmor	= 201
a_Armor		= 202
a_HeavyArmor	= 203
a_SuperArmor	= 205
a_MedicArmor	= 204
a_StealthSuit	= 206


-- Supply modes
s_Grenades	= 1
s_Armor		= 2
s_Shotguns	= 3
s_SMGs		= 4
s_Rifles	= 5
s_SniperRifles	= 6


-- CS2D Lua scripting return values
----- are written ALL CAPS. Most of them just tell to behave normally or ignore the hook
----- "behave normally" have the same name like the hook funktion with "hook_" removed
----- - example: return the "BUY" variable  for proceed normally on buy()
----- "ignore" like "behave normally", with a "NO" before
----- example: return the "NOBUY" variable for ignoring the buy on buy()


-- teams
SPECTATOR = 0
TERRORISTS = 1
COUNTER_TERRORISTS = 2

-- short names for teams
SPEC = SPECTATOR
T =   TERRORISTS
CT =  COUNTER_TERRORISTS

-- gamemodes
STANDARD = 0
DEATHMATCH = 1
TEAM_DEATHMATCH = 2
CONSTRUCTION = 3
ZOMBIES = 4

---

TEAM		= 0
NOTEAM		= 1

SPAWN		= ""		-- spawn with regular items
MELEEONLY	= "x"		-- spawn with melee weapon only
MELEE		= MELEEONLY

NAME		= 0
NONAME		= 1

PARSE		= 0
IGNOREUNKNOWN	= 1	-- parse and ignore unknown commands
NOPARSE		= 2

TRIGGER		= 0
NOTRIGGER	= 1

TRIGGERENTITY	= 0
NOTRIGGERENTITY	= 1

BUY	  	= 0
NOBUY	  	= 1

WALKOVER	= 0
NOWALKOVER	= 1

DROP		= 0
NODROP		= 1

DIE		= 0		-- die and drop items normally
DROPIMPORTANT	= 1		-- die and only drop bomb and flag

SAY		= 0
NOSAY		= 1

SAYTEAM		= 0
NOSAYTEAM	= 1

RADIO		= 0
NORADIO		= 1

LOG		= 0
NOLOG		= 1

HIT		= 0
NOHIT		= 1

BUILDATTEMPT	= 0
NOBUILDATTEMPT	= 1

BUILD		= 0
NOBUILD		= 1