if not wrapper then dofile('sys/lua/wrapper.lua') end

-- UT vars table.
if UT == nil then UT = {} end
-- UT weapon table.
if UT.WEAPON == nil then UT.WEAPON = {} end
-- UT Headshot table.
if UT.HEADSHOT == nil then UT.HEADSHOT = {} end
-- UT announcements table.
if UT.ANNOUNCEMENT == nil then UT.ANNOUNCEMENT = {} end
-- SFX table.
if SFX == nil then SFX = {} end
-- Player SFX table.
if SFX.PLAYER == nil then SFX.PLAYER = {} end
-- Unreal Tournament SFX table.
if SFX.UT == nil then SFX.UT = {} end
-- Player vars table.
if PLAYER == nil then PLAYER = {} end
-- HUD vars table.
if HUD == nil then HUD = {} end
-- UT HUD vars table.
if HUD.UT == nil then HUD.UT = {} end
-- UT Headshot HUD table.
if HUD.UT.HEADSHOT == nil then HUD.UT.HEADSHOT = {} end

-- Hooks initialization.
addhook("hit", "on_hit")
addhook("die", "on_die")
addhook("kill", "on_kill")
addhook("join", "on_join")
addhook("leave", "on_leave")
addhook('startround','on_startround')

-- Directories.
SFX.UT.DIR = 'utsfx/'
SFX.UT.UT3_DIR = SFX.UT.DIR..'ut3/'
SFX.UT.FORMAT = '.ogg'
SFX.PLAYER.DIR = 'player/'

-- Player effect sounds radius.
SFX.PLAYER.RADIUS = 240

-- HUD Config.
HUD.UT.ID = 1
HUD.UT.HEADSHOT.ID = 2
HUD.UT.FONT_SIZE = 24
HUD.UT.HEADSHOT.FONT_SIZE = 18
-- 0 Center, 1 Down, -1 Up.
HUD.UT.VERTICAL_ALIGN = 0
-- Animations duration (in ms).
HUD.UT.DURATION = 2000
HUD.UT.FADE_OUT_TIME = 800

-- Everybody can show announcements ?
GENERAL_ANNOUNCEMENTS = true --NO PESCA
-- Everybody (close to action) can listen announcements sounds ?
GENERAL_SFX = false

-- Award types.
AWARD_KILLING_SPREE = 1
AWARD_KILLING_CHAIN = 2
AWARD_WEAPON_KILL = 3

-- Is the first kill in round ?
FIRSTBLOOD = true
-- Announcements base color.
BASE_COLOR = 'gold'
-- Base damage for a headshot.
HEADSHOT_BASE_DAMAGE = 42
-- Headshot minimum threshold required.
-- Higher threshold means higher probability
-- of done a headshot.
-- [i] Used as Reciprocal function amplifier.
HEADSHOT_THRESHOLD = 40
-- Weapon Kill announcement color.
HEADSHOT_COLOR = 'red'

-- Maximum ID of weapons.
WEAPON_MAX_ID = 91
-- Weapon Kill announcement color.
WEAPON_AWARD_COLOR = 'mediumseagreen'
-- Announcements players name color by team.
CT_COLOR = 'counter_terrorist'
T_COLOR = 'terrorist'
DM_COLOR = 'lime'

-- Time (in ms) of killing chain.
KILLING_CHAIN_LAPSE = 4000

-- Players general announcements canal.
PLAYER.CANAL = INIT_TABLE(32)
-- Kills without die counter for each player.
PLAYER.KILLS = INIT_TABLE(32)
-- Chain kills counter for each player. 
PLAYER.CHAIN = INIT_TABLE(32)
-- Weapon kills counter for each player and weapon.
PLAYER.WEAPON = INIT_MATRIX(32, WEAPON_MAX_ID)
-- Stores the coordinates of HUD.
PLAYER.HUD = INIT_TABLE(32)
-- Stores player kills on personal announcement.
PLAYER.HUD.CANAL = INIT_TABLE(32)
-- Stores the coordinates of headshot HUD.
PLAYER.HUD.HEADSHOT = INIT_TABLE(32)
-- Stores headshot player kills on personal announcement.
PLAYER.HUD.CANAL.HEADSHOT = INIT_TABLE(32)

function ut_announcement_color(kills, pre, announcement)
	return get_color(BASE_COLOR)..pre..' '..get_color(UT.COLOR[kills])..announcement..get_color(BASE_COLOR)
end