
-- Headshot kill effect sounds.
SFX.PLAYER.HEADSHOT = {
	SFX.PLAYER.DIR..'headshot.wav',
	SFX.PLAYER.DIR..'headshot2.wav'
}
-- Helmet hit effect sound.
SFX.PLAYER.HELMET = SFX.PLAYER.DIR..'helmet.wav'
-- UT Headshot kill announcement sound.
SFX.UT.HEADSHOT = SFX.UT.UT3_DIR..'headshot'..SFX.UT.FORMAT

-- UT startround sounds.
SFX.UT.START = {
	[0] = 'play',
	[1] = 'firstblood'
}
-- UT killing spree levels.
-- [kills] = 'soundfile'
-- High priority over killing chain.
SFX.UT.SPREE = {
	[15] = 'killingspree',
	[20] = 'impressive',
	[25] = 'dominating',
	[30] = 'rampage',
	[35] = 'godlike',
	[40] = 'wickedsick',
	[50] = 'comboking',
	[60] = 'outstanding',
	[70] = 'bloodbath',
	[80] = 'killingmachine',
	[90] = 'blazeofglory',
	[100] = 'unreal'
}
-- UT killing chain levels.
-- [kills] = 'soundfile'
SFX.UT.CHAIN = {
	[2] = 'doublekill',
	[3] = 'hattrick',
	[4] = 'multikill',
	[5] = 'megakill',
	[6] = 'ultrakill',
	[7] = 'monsterkill',
	[8] = 'ludicrouskill',
	[9] = 'assasin',
	[10] = 'unstoppable'
}
-- UT killing spree and killing chain colors.
-- [kills] = 'colorname'
UT.COLOR = {
	[1] = 'darkred',
	[2] = 'cornflowerblue',
	[3] = 'darkolivegreen',
	[4] = 'darkorange',
	[5] = 'orangered',
	[6] = 'mediumseagreen',
	[7] = 'limegreen',
	[8] = 'greenyellow',
	[9] = 'mediumaquamarine',
	[10] = 'lightseagreen',
	[15] = 'springgreen',
	[20] = 'cornflowerblue',
	[25] = 'royalblue',
	[30] = 'forestgreen',
	[35] = 'turquoise',
	[40] = 'orange',
	[50] = 'olivedrab',
	[60] = 'tomato',
	[70] = 'maroon',
	[80] = 'deepskyblue',
	[90] = 'dodgerblue',
	[100] = 'lawngreen'
}
-- UT killing spree and killing chain general announcements.
-- [kills] = 'message to show'
UT.ANNOUNCEMENT.GENERAL = {
	[1] = ut_announcement_color(1, 'sheds', 'FIRST BLOOD'),
	[2] = ut_announcement_color(2, 'has done a', 'Doublekill'),
	[3] = ut_announcement_color(3, 'has done a', 'Hattrick'),
	[4] = ut_announcement_color(4, 'has done a', 'Multikill'),
	[5] = ut_announcement_color(5, 'has done a', 'Megakill'),
	[6] = ut_announcement_color(6, 'has done a', 'ULTRAKILL'),
	[7] = ut_announcement_color(7, 'has done a', 'MO-O-O-O-ONSTERKILL-ILL-ILL'),
	[8] = ut_announcement_color(8, 'has done a', 'Ludicrouskill'),
	[9] = ut_announcement_color(9, 'is an', 'Assassin'),
	[10] = ut_announcement_color(10, 'is', 'UNSTOPPABLE'),
	[15] = ut_announcement_color(15, 'has done a', 'Killing Spree'),
	[20] = ut_announcement_color(20, 'is', 'Impressive'),
	[25] = ut_announcement_color(25, 'is', 'Dominating'),
	[30] = ut_announcement_color(30, 'has done a', 'Rampage'),
	[35] = ut_announcement_color(35, 'is', 'GODLIKE'),
	[40] = ut_announcement_color(40, 'is a', 'Wicked Sick'),
	[50] = ut_announcement_color(50, 'is the', 'Combo King'),
	[60] = ut_announcement_color(60, 'is', 'OUTSTANDING'),
	[70] = ut_announcement_color(70, 'sheds a', 'Bloodbath'),
	[80] = ut_announcement_color(80, 'is a', 'KILLING MACHINE'),
	[90] = ut_announcement_color(90, 'feels the', 'Blaze of Glory'),
	[100] = ut_announcement_color(100, 'is', 'UNREAL'),
}
-- UT killing spree and killing chain personal announcements.
-- [kills] = 'message to show'
UT.ANNOUNCEMENT.PERSONAL = {
	[1] = 'You have shed the FIRST BLOOD',
	[2] = 'Doublekill',
	[3] = 'Hattrick',
	[4] = 'Multikill',
	[5] = 'Megakill',
	[6] = 'ULTRAKILL',
	[7] = 'MO-O-O-O-ONSTERKILL-ILL-ILL',
	[8] = 'Ludicrouskill',
	[9] = 'Assassin',
	[10] = 'UNSTOPPABLE',
	[15] = 'You have done a Killing Spree',
	[20] = 'Impressive',
	[25] = 'You are Dominating',
	[30] = 'You have done a Rampage',
	[35] = 'GODLIKE',
	[40] = 'Wicked Sick',
	[50] = 'Combo King',
	[60] = 'OUTSTANDING',
	[70] = 'You have shed a Bloodbath',
	[80] = 'KILLING MACHINE',
	[90] = 'You feels the Blaze of Glory',
	[100] = 'UNREAL',
}
-- UT weapon killing levels.
-- [weapon] = { 'soundfile', kills }
UT.WEAPON = {
	[Deagle] = { 'gunslinger', 24 },
	[P228] = { 'gunslinger', 22 },
	[Elite] = { 'gunslinger', 24 },
	[FiveSeven] = { 'gunslinger', 22 },
	
	[MP5] = { 'lastsecondsave', 36 },
	[TMP] = { 'lastsecondsave', 24 },
	[P90] = { 'lastsecondsave', 42 },
	[Mac10] = { 'lastsecondsave', 24 },
	[UMP45] = { 'lastsecondsave', 32 },
	
	[AK47] = { 'shaftmaster', 62 },
	[M4A1] = { 'topgun', 62 },
	[Galil] = { 'shaftmaster', 54 },
	[Famas] = { 'topgun', 54 },
	[Scout] = { 'hitandrun', 42 },
	[AWP] = { 'eagleeye', 62 },
	[M249] = { 'extermination', 42 },
	[M134] = { 'extermination', 42 },
	
	[G3SG1] = { 'flakmaster', 42 },
	[SG550] = { 'flakmaster', 42 },
	[Flamethrower] = { 'eradication', 52 },
	[RPGLauncher] = { 'eradication', 48 },
	[RocketLauncher] = { 'rocketscientist', 42 },
	
	[HE] = { 'excellent', 14 },
	[AirStrike] = { 'termination', 12 },
	[MolotovCocktail] = { 'excellent', 16 },
	
	[Knife] = { 'bullseye', 12 },
	[Machete] = { 'maniac', 22 },
	[Chainsaw] = { 'maniac', 24 },
	
	[Mine] = { 'hijacked', 26 },
	[SatchelCharge] = { 'hijacked', 42 },
	[LaserMine] = { 'bluestreak', 12 }
}
-- UT weapon killing announcements.
-- [weapon ID] = 'message'
UT.ANNOUNCEMENT.WEAPON = {
	[Deagle] = 'Gunslinger',
	[P228] = 'Gunslinger',
	[Elite] = 'Gunslinger',
	[FiveSeven] = 'Gunslinger',
	
	[MP5] = 'Last Second Save',
	[TMP] = 'Last Second Save',
	[P90] = 'Last Second Save',
	[Mac10] = 'Last Second Save',
	[UMP45] = 'Last Second Save',
	
	[AK47] = 'Shaftmaster',
	[M4A1] = 'Topgun',
	[Galil] = 'Shaftmaster',
	[Famas] = 'Topgun',
	[Scout] = 'Hit & Run',
	[AWP] = 'Eagle Eye',
	[M249] = 'Extermination',
	[M134] = 'Extermination',
	
	[G3SG1] = 'Flakmaster',
	[SG550] = 'Flakmaster',
	[Flamethrower] = 'Eradication',
	[RPGLauncher] = 'Eradication',
	[RocketLauncher] = 'Rocket Scientist',
	
	[HE] = 'Excellent',
	[AirStrike] = 'Termination',
	[MolotovCocktail] = 'Excellent',
	
	[Knife] = 'Bulls Eye',
	[Machete] = 'Maniac',
	[Chainsaw] = 'Maniac',
	
	[Mine] = 'Hijacked',
	[SatchelCharge] = 'Hijacked',
	[LaserMine] = 'Blue Streak'
}